import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, c = (l, r, o, t) => {
  for (var e = t > 1 ? void 0 : t ? v(r, o) : r, i = l.length - 1, p; i >= 0; i--)
    (p = l[i]) && (e = (t ? p(r, o, e) : p(e)) || e);
  return t && e && m(r, o, e), e;
};
let s = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--refresh", this.class = "c-pieIcon c-pieIcon--refresh", this.name = "IconRefresh";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--refresh"><path d="M12.594 1.875v2.791L12.48 4.5a5.67 5.67 0 1 0 1.076 4.629l-1.286-.254a4.375 4.375 0 1 1-.875-3.552l.21.27h-2.73v1.313h3.938a1.094 1.094 0 0 0 1.093-1.093V1.874z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  a("icon-refresh")
], s);
export {
  s as IconRefresh
};
